﻿#include <QStyledItemDelegate>
#include <QEvent>
#include <QAbstractItemModel>

class NonInteractiveCheckDelegate : public QStyledItemDelegate
{
public:
    using QStyledItemDelegate::QStyledItemDelegate;

    bool editorEvent(QEvent *event, QAbstractItemModel *model,
                     const QStyleOptionViewItem &option,
                     const QModelIndex &index) override
    {
        // 这里直接返回 false 或者不调用父类，实现“禁止点击”。
        // 这样用户就无法通过鼠标修改复选框状态。
        return false;
    }
};
